<div class="ui-card ui-widget ui-widget-content ui-corner-all map-panel map">
  <div class="ui-card-body">
    <div class="ui-card-title ng-star-inserted">
      Game: {{gameId}} | Current turn: {{currentTurn+1}} | {{getPlayerTurn()}}
    </div>
    <div class="ui-card-content map-content">
      <table *ngIf="tiledMap != null" id="unitsMap">
        <tr *ngFor="let unitsLine of unitsMap">
          <td class="col {{mapService.readCell(unitsCell)}}" [style.height.px]="500/tiledMap.length" *ngFor="let unitsCell of unitsLine"></td>
        </tr>
      </table>
      <table id="tiledMap">
        <tr *ngFor="let tiledLine of tiledMap">
          <td class="col {{mapService.readCell(tiledCell)}}" [style.height.px]="500/tiledMap.length" *ngFor="let tiledCell of tiledLine"></td>
        </tr>
      </table>
    </div>
  </div>
</div>

<div class="ui-widget right-container">
  <div class="button"><p-button label="back to dashboard" routerLink="/dashboard"></p-button></div>
  <h1 class="header-logs" >Game Logs:</h1>
  <p-toast [style]="{marginTop: '70px'}" life="4000"></p-toast>
</div>

<p-dialog class="dialog" header="Finish game!" [(visible)]="display">
  <div class="result-dialog">
    Winner player ID:<br/>
    <h3>{{this.winnerId}}</h3>
    <div class="shieldResult">
      <img class="{{playerWinnerShieldClass}}" />
    </div><br/>
    <p-button label="Ok! Go to dashboard" routerLink="/dashboard"></p-button>
  </div>
</p-dialog>

<div *ngIf="display" class="shadow"></div>
